Apply patch 25078431 but failed with ZOP-50 (Doc ID 2274836.1)

Last updated on JUNE 12, 2017

Applies to:

Oracle Database - Enterprise Edition - Version 11.2.0.4 to 11.2.0.4 [Release 11.2]
Information in this document applies to any platform.

Symptoms

1. Try to apply patch for "Bug:25078431 ACFS MODULE ORACLEACFS.KO FAILS TO LOAD ON OL7U3 SERVER WITH RHCK" with "opatch auto <UNZIPPED_PATCH_LOCATION> -ocmrf <ocm response file>" but failed.

2. Find following error in opatchauto.log

2017-05-24 17:20:10: opatch version in oracle home /u01/app/11.2.0/grid is 11.2.0.3.15 <<<<<<<<<<<<< grid home opatch version is 11.2.0.3.15 which is higher than minimum requirement 11.2.0.3.6 for the patch.

2017-05-24 17:20:10: Oracle user for /u01/app/11.2.0/grid is grid
2017-05-24 17:20:10: Opening file /etc/oracle/ocr.loc
2017-05-24 17:20:10: Value (false) is set for key=local_only
2017-05-24 17:20:10: Oracle user for /u01/app/oracle/product/11.2.0/dbhome_1/ is oracle
2017-05-24 17:20:10: Running as user oracle: /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch version -oh /u01/app/oracle/product/11.2.0/dbhome_1/
2017-05-24 17:20:10: s_run_as_user2: Running /bin/su oracle -c ' /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch version -oh /u01/app/oracle/product/11.2.0/dbhome_1/ '
2017-05-24 17:20:10: Removing file /tmp/fileNXURzJ
2017-05-24 17:20:10: Successfully removed file: /tmp/fileNXURzJ
2017-05-24 17:20:10: /bin/su successfully executed

2017-05-24 17:20:10: opatch version in oracle home /u01/app/oracle/product/11.2.0/dbhome_1/ is 11.2.0.3.15

2017-05-24 17:20:10: Oracle user for /u01/app/oracle/product/11.2.0/dbhome_1/ is oracle
2017-05-24 17:20:10: Oracle user for /u01/app/11.2.0/grid is grid
2017-05-24 17:20:10: silent mode option is -silent -ocmrf /u01/ocm.rsp
2017-05-24 17:20:10: Running /u01/app/11.2.0/grid/bin/crsctl check cluster -n pocrac01
2017-05-24 17:20:10: Executing cmd: /u01/app/11.2.0/grid/bin/crsctl check cluster -n pocrac01
2017-05-24 17:20:10: Processing oracle home /u01/app/oracle/product/11.2.0/dbhome_1/
2017-05-24 17:20:10: Opening file /etc/oracle/ocr.loc
2017-05-24 17:20:10: Value (false) is set for key=local_only
2017-05-24 17:20:10: Home type of /u01/app/oracle/product/11.2.0/dbhome_1/ is DB
2017-05-24 17:20:10: Oracle user for /u01/app/oracle/product/11.2.0/dbhome_1/ is oracle
2017-05-24 17:20:10: Oracle user for /u01/app/oracle/product/11.2.0/dbhome_1/ is oracle
2017-05-24 17:20:10: Running as user oracle: /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch version -oh /u01/app/oracle/product/11.2.0/dbhome_1/
2017-05-24 17:20:10: s_run_as_user2: Running /bin/su oracle -c ' /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch version -oh /u01/app/oracle/product/11.2.0/dbhome_1/ '
2017-05-24 17:20:10: Removing file /tmp/fileX7j8Ph
2017-05-24 17:20:10: Successfully removed file: /tmp/fileX7j8Ph
2017-05-24 17:20:10: /bin/su successfully executed

2017-05-24 17:20:10: opatch version in oracle home /u01/app/oracle/product/11.2.0/dbhome_1/ is 11.2.0.3.15<<<<<<<<<<<<<DB home opatch version is 11.2.0.3.15 which is higher than minimum requirement 11.2.0.3.6 for the patch.

2017-05-24 17:20:10: Running as user oracle: /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch util checkMinimumOPatchVersion -ph /u01/opatch/25078431/custom/server/25078431 -version 11.2.0.3.15 -oh /u01/app/oracle/product/11.2.0/dbhome_1/
2017-05-24 17:20:10: s_run_as_user2: Running /bin/su oracle -c ' /u01/app/oracle/product/11.2.0/dbhome_1/OPatch/opatch util checkMinimumOPatchVersion -ph /u01/opatch/25078431/custom/server/25078431 -version 11.2.0.3.15 -oh /u01/app/oracle/product/11.2.0/dbhome_1/ '
2017-05-24 17:20:11: Removing file /tmp/fileLf5NWQ
2017-05-24 17:20:11: Successfully removed file: /tmp/fileLf5NWQ
2017-05-24 17:20:11: /bin/su exited with rc=135 <<<<<<<<<<<<<<<<<< But "opatch util checkMinimumOPatchVersion..." failed with "rc=135".

2017-05-24 17:20:11: The opatch minimum version check for patch /u01/opatch/25078431/custom/server/25078431 failed for /u01/app/oracle/product/11.2.0/dbhome_1/
2017-05-24 17:20:11: The opatch version check failed with following error
2017-05-24 17:20:11: Oracle Interim Patch Installer version 11.2.0.3.15
Copyright (c) 2017, Oracle Corporation. All rights reserved.

ZOP-50: The patch location is not valid because it may not exist (or) current user has no permission to access it. Please check the same.
Argument(s) Error... Patch Location not valid <<<<<<<<<<<<<<<

Please check the arguments and try again.

OPatch failed with error code 135 <<<<<<<<<<<<<<<

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms